---
title: WebGLRenderingContext.blendEquation()
slug: Web/API/WebGLRenderingContext/blendEquation
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGLRenderingContext.blendEquation()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> is used to set both the RGB blend equation and alpha blend equation to a single equation.</p>

<p>The blend equation determines how a new pixel is combined with a pixel already in the {{domxref("WebGLFramebuffer")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void <var>gl</var>.blendEquation(<var>mode</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>mode</code></dt>
 <dd>A {{domxref("GLenum")}} specifying how source and destination colors are combined. Must be either:
 <ul>
  <li><code>gl.FUNC_ADD</code>: source + destination,</li>
  <li><code>gl.FUNC_SUBTRACT</code>: source - destination,</li>
  <li><code>gl.FUNC_REVERSE_SUBTRACT</code>: destination - source</li>
  <li>When using the {{domxref("EXT_blend_minmax")}} extension:
   <ul>
    <li><code>ext.MIN_EXT</code>: Minimum of source and destination,</li>
    <li><code>ext.MAX_EXT</code>: Maximum of source and destination.</li>
   </ul>
  </li>
  <li>When using a {{domxref("WebGL2RenderingContext", "WebGL 2 context", "", 1)}}, the following values are available additionally:
   <ul>
    <li><code>gl.MIN</code>: Minimum of source and destination,</li>
    <li><code>gl.MAX</code>: Maximum of source and destination.</li>
   </ul>
  </li>
 </ul>

 <p><strong>default value</strong>: <code>gl.FUNC_ADD</code></p>
 </dd>
</dl>

<h3 id="Exception">Exception</h3>

<p>If <em>mode</em> is not one of the three possible values, a <code>gl.INVALID_ENUM</code> error is thrown.</p>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<p>To set the blend equation, use:</p>

<pre class="brush: js">gl.blendEquation(gl.FUNC_ADD);
gl.blendEquation(gl.FUNC_SUBTRACT);
gl.blendEquation(gl.FUNC_REVERSE_SUBTRACT);
</pre>

<p>To get the blend equations, query the <code>BLEND_EQUATION</code>, <code>BLEND_EQUATION_RGB</code> and <code>BLEND_EQUATION_ALPHA</code> constants which return <code>gl.FUNC_ADD</code>, <code>gl.FUNC_SUBTRACT</code>, <code>gl.FUNC_REVERSE_SUBTRACT</code>, or if the {{domxref("EXT_blend_minmax")}} is enabled: <code>ext.MIN_EXT</code> or <code>ext.MAX_EXT</code>.</p>

<pre class="brush: js">gl.getParameter(gl.BLEND_EQUATION_RGB) === gl.FUNC_ADD;
// true

gl.getParameter(gl.BLEND_EQUATION_ALPHA) === gl.FUNC_ADD;
// true
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.14.3", "blendEquation")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition for WebGL.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 2.0', "glBlendEquation.xml", "glBlendEquation")}}</td>
   <td>{{Spec2('OpenGL ES 2.0')}}</td>
   <td>Man page of the OpenGL ES 2.0 API.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 3.0', "glBlendEquation.xml", "glBlendEquation")}}</td>
   <td>{{Spec2('OpenGL ES 3.0')}}</td>
   <td>Man page of the OpenGL ES 3.0 API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.blendEquation")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.blendColor()")}}</li>
 <li>{{domxref("WebGLRenderingContext.blendFunc()")}}</li>
 <li>{{domxref("EXT_blend_minmax")}}</li>
</ul>
